%define ocaml_major 3.12
%define ocaml_minor 1

Name:           ocaml-cmigrep
Version:        1.5
Release:        %mkrel 9
Summary:        Search OCaml compiled interface (cmi) files

Group:          Development/OCaml
License:        GPLv2+
URL:            http://homepage.mac.com/letaris/
Source0:        http://homepage.mac.com/letaris/cmigrep-%{version}.tar.bz2

Patch0:         cmigrep-make-without-godi-debian.patch
Patch3:         cmigrep-1.5-adapt-ocaml-4.0.patch

# Sent upstream on 2008-11-20.
Patch10:        ocaml-cmigrep-3.11.0-updated-types.patch

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-pcre-devel
BuildRequires:  ncurses-devel


%description
A utility to mine the data in OCaml compiled interface (cmi) files, and
elisp that allows emacs to use cmigrep for completion.


%prep
%setup -q -n cmigrep-%{version}
%patch0 -p1

%patch10 -p1
# adapt to ocaml-4.0
%patch3 -p1


%build
# Build cmigrep itself.
#make byte
#make all
ocamlfind ocamlopt -o cmigrep \
          -package compiler-libs.common,pcre,findlib,unix \
          -linkpkg cmigrep.ml
strip cmigrep


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m 0755 cmigrep %{buildroot}%{_bindir}


%files
%doc GPL README cmigrep.el
%{_bindir}/cmigrep


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.5-9.mga3
+ Revision: 361213
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 malo <malo> 1.5-8.mga3
+ Revision: 328743
- adapt to new ocaml

  + fwang <fwang>
    - rebuild for new pcre

  + blue_prawn <blue_prawn>
    - new rpm group for ocaml
    - new rpm group for ocaml

* Sat Apr 14 2012 blue_prawn <blue_prawn> 1.5-4.mga2
+ Revision: 230750
- Import package from Mandriva

